Package org.apache.axiom.om.ds.custombuilder

# Class BlobOMDataSourceCustomBuilder

java.lang.Object
org.apache.axiom.om.ds.custombuilder.BlobOMDataSourceCustomBuilder

All Implemented Interfaces:
  `CustomBuilder`

public final class BlobOMDataSourceCustomBuilder extends Object implements CustomBuilder
`CustomBuilder` implementation that creates a `BlobOMDataSource`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.axiom.om.ds.custombuilder.CustomBuilder

  `CustomBuilder.Selector`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlobOMDataSourceCustomBuilder(WritableBlobFactory<?> blobFactory, String encoding)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OMDataSource`
  `create(OMElement element)`
  Create an `OMDataSource` from the given `OMElement`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BlobOMDataSourceCustomBuilder

    public BlobOMDataSourceCustomBuilder(WritableBlobFactory<?> blobFactory, String encoding)
    Constructor.
    Parameters:
      `blobFactory` - determines the type of blobs to create
      `encoding` - the encoding used to store data in the blobs

- ## Method Details

  - ### create

    public OMDataSource create(OMElement element) throws OMException
    Description copied from interface: `CustomBuilder`
    Create an `OMDataSource` from the given `OMElement`. The builder will use the returned `OMDataSource` to create an `OMSourcedElement` replacing the original `OMElement`.
    Specified by:
      `create` in interface `CustomBuilder`
    Parameters:
      `element` - The element to convert into an `OMDataSource`. The implementation is expected to consume the element using methods such as `OMContainer.getXMLStreamReader(boolean)`, `OMContainer.getSAXSource(boolean)` or `OMSerializable.serialize(XMLStreamWriter, boolean)` with `preserve=true`.
    Returns:
      an `OMDataSource` with content that is equivalent to the original element
    Throws:
      `OMException`